Folks.AbstractFieldDetails.values_equal – folks Reference Manual

# values_equal

## Description:

public virtual bool values_equal (AbstractFieldDetails<T> that)

An equality function which does not consider parameters.

Specific classes may override this function to provide "smart" value comparisons (eg, considering the phone number values "+1 555 123 4567" and "123-4567" equal). If you wish to do strict comparisons, simply compare the AbstractFieldDetails.values directly.

This function compares:

- AbstractFieldDetails.values

And does not compare:

- AbstractFieldDetails.parameters
- AbstractFieldDetails.ids

This defaults to string comparison of the AbstractFieldDetails.values if the generic type is string; otherwise, direct pointer comparison of the AbstractFieldDetails.values.

## Parameters:

that | another AbstractFieldDetails

## Returns:

whether the elements' AbstractFieldDetails.values are equal.

## Since:

0.6.5

## See also:

AbstractFieldDetails.equal, AbstractFieldDetails.parameters_equal